# Uses of Interface
org.eclipse.net4j.db.ddl.IDBIndexField

Packages that use IDBIndexField
Package
Description
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBIndexField in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBIndexField
Modifier and Type
Method
Description
`IDBIndexField`
IDBIndex.`addIndexField(String name)`
`IDBIndexField`
IDBIndex.`addIndexField(IDBField field)`
`IDBIndexField`
IDBIndex.`getIndexField(int position)`
`IDBIndexField`
IDBIndex.`getIndexField(String name)`
`IDBIndexField[]`
IDBIndex.`getIndexFields()`
`IDBIndexField`
IDBIndex.`getIndexFieldSafe(String name)`
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBIndexField
Modifier and Type
Method
Description
`void`
IDBSchemaVisitor.Default.`visit(IDBIndexField element)`
`void`
IDBSchemaVisitor.`visit(IDBIndexField indexField)`

## Uses of IDBIndexField in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBIndexField
Modifier and Type
Method
Description
`IDBIndexField`
IDBIndexFieldDelta.`getSchemaElement(IDBSchema schema)`

## Uses of IDBIndexField in org.eclipse.net4j.spi.db.ddl

Subinterfaces of IDBIndexField in org.eclipse.net4j.spi.db.ddl
Modifier and Type
Interface
Description
`interface`
`InternalDBIndexField`
Fields in org.eclipse.net4j.spi.db.ddl declared as IDBIndexField
Modifier and Type
Field
Description
`static final IDBIndexField[]`
InternalDBIndex.`NO_INDEX_FIELDS`
Methods in org.eclipse.net4j.spi.db.ddl that return IDBIndexField
Modifier and Type
Method
Description
`IDBIndexField`
InternalDBIndexField.`getWrapper()`
Methods in org.eclipse.net4j.spi.db.ddl with parameters of type IDBIndexField
Modifier and Type
Method
Description
`void`
InternalDBIndex.`removeIndexField(IDBIndexField indexFieldToRemove)`